<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations</groupId>
        <artifactId>route-implementation</artifactId>
        <version>1.10.1</version>
    </parent>
    <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.route-implementation</groupId>
    <artifactId>route-producing</artifactId>
    <packaging>bundle</packaging>
    <name>ENTAXY :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: ROUTE :: DESIGN</name>
    <description>ENTAXY :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: ROUTE :: DESIGN</description>
    
    <properties>
		<bundle.osgi.export.pkg>ru.entaxy.platform.routes.design.library</bundle.osgi.export.pkg>
		<bundle.osgi.private.pkg>ru.entaxy.platform.routes.design.library.storage,
			ru.entaxy.platform.routes.design.library.impl,
			ru.entaxy.platform.routes.design.library.shell,
			ru.entaxy.platform.routes.design.library.tracker</bundle.osgi.private.pkg>
		<bundle.osgi.remove.headers>none</bundle.osgi.remove.headers>	
	</properties>
    
    <dependencies>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
			<artifactId>object-producing-resources-support</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
			<artifactId>resources-api</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
			<artifactId>resources-service</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
	  		<groupId>org.apache.karaf.shell</groupId>
	  		<artifactId>org.apache.karaf.shell.core</artifactId>
	  		<version>${karaf.version}</version>
	  	</dependency>		        
	</dependencies>
    
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>
                        <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
                        <Entaxy-Resource-Provider>true</Entaxy-Resource-Provider>
                        <Entaxy-Extensions-Provider>true</Entaxy-Extensions-Provider>
                        <Entaxy-Component-Library-Provider>true</Entaxy-Component-Library-Provider>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
